Viewing Issue Advanced Details Jump to Notes ] [ View Source: saturn.c ]
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
02084 DIP/Input Trivial Always 2008-08-03 19:44 2011-08-25 17:27
Tester LastNinja2 View Status Public Platform SDLMAME
Assigned To Kale Resolution Fixed OS MacOS X
Status [?] Resolved   Driver saturn.c
Version 0.126u3 Fixed in Version 0.143u4 Build Normal
Summary 02084: sokyugrt: Emulation starts with 1 or more credit inserted
Description Start the game in MAME and at least 1 Credit is already present!

[reported on behalf of LastNinja2]
Steps To Reproduce
Additional Information stv.c merged into saturn.c in 0.142u2

Flags
Regression Version 0.99u7
Affected Sets / Systems sokyugrt
Attached Files
 

- Relationships
related to 04366ResolvedKale shanhigw: The game starts with 2 credits inserted 

-  Notes
User avatar (01923)
Haze (Developer)
2008-08-03 21:51

there are a couple of games on st-v that start with credits.. It's probably a timing thing as IIRC it started happening once the sound CPU was hooked up on some games, and stopped happening at the same time on others...
User avatar (02994)
Kale (Administrator)
2008-11-04 16:27

The requirement to fix this is the ST-V interrupt system to be rewritten from scratch.It will be done in these days...
User avatar (06610)
fallicanet (Tester)
2010-08-27 13:40

now... on MAME 0.139u1, the game starts with 2 credits...